import path_setting
from in_common.base_request import BaseRequest


class topic_reply_create_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.TOPIC_REPLY_CREATE_CONFIG)

    def topic_reply_create(self, content, channel):
        self.params["content"] = content
        self.params["channel"] = channel
        return self.api_send(self.data["reply_create"])

    def topic_sub_reply_create(self, content, channel, replied_id):
        self.params["content"] = content
        self.params["channel"] = channel
        self.params["replied_id"] = replied_id
        return self.api_send(self.data["sub_reply_create"])





